/**
 * Test case for setup.
 * Runs with nodeunit.
 */
"use strict";

const setup = require('../lib/setup.js'),
    path = require('path'),
    coz = require('coz');

let tmpDir = __dirname + '/../tmp';

exports.setUp = function (done) {
    done();
};

exports.tearDown = function (done) {
    done();
};

exports['Setup'] = function (test) {
    let dirname = tmpDir + '/foo/bar';
    setup({
        configuration: require.resolve('../doc/mocks/mock-Apemanfile.js')
    })((err, bud) => {
        bud.forEach(function (bud) {
            bud.path = path.resolve(dirname, bud.path);
        });
        test.ok(bud);
        coz.render(bud, {}, function (err) {
            test.ifError(err);
            test.done();
        });
    });
};

